---
- debug: "var=inventory_hostname"
- debug: "var=hostvars[inventory_hostname]"
- debug: "var=machine"

- set_fact:
    dhcp_network: '{{ machine.priv_ip|ipaddr("network") }}'
    dhcp_cidr: "{{ machine.priv_ip|ipaddr('prefix') }}"
    dhcp_confdir: "/etc/dhcp/"

- set_fact:
    dhcp_dirname: "{{ 'dhcpd-' + dhcp_network + '-' + dhcp_cidr }}"
    dhcp_confname: "{{ machine.priv_ip|ipaddr('address') }}"

- set_fact:
    dhcp_filename: "{{ dhcp_confname + '.conf' }}"

- set_fact:
    dhcp_destdir: "{{ dhcp_confdir + dhcp_dirname + '/' }}"

- set_fact:
    dhcp_destpath: "{{ dhcp_destdir + dhcp_filename }}"

- name: "generate file for this machine"
  template:
    src: "host.conf"
    dest: "{{ dhcp_destpath }}"

- name: "assemble files for all machine to master file"
  assemble:
    src: "{{ dhcp_destdir }}"
    dest: "{{ dhcp_confdir + dhcp_dirname + '.conf' }}"

- name: "restart dhcp"
  service:
    name: 'isc-dhcp-server'
    state: 'restarted'
